import * as log from './log'
import * as config from './config'
import * as Mqtt from 'mqtt'
import * as fs from 'fs'





log.info("SmallSender starting")

config.readConfig()



let mqttOptions : Mqtt.IClientOptions = {
    username : config.dict.brokerUser,
    password : config.dict.brokerPass,
    ca : fs.readFileSync(config.dict.brokerCa, 'ascii'),
    rejectUnauthorized : true
}

let mqttClient : Mqtt.Client = Mqtt.connect(config.dict.brokerUrl, mqttOptions)
mqttClient.on('error', log.error)
mqttClient.on('connect', (): void => {
    log.info("connected to mqtt broker")
})

let cnt : number = 0
let timer : NodeJS.Timer = setInterval(() => {
    log.info(`Publishing a message ${cnt}`)
    mqttClient.publish("IoT/DeviceInfo", `OrangePi ${cnt}`)
    cnt += 1
}, 10 * 1000)


log.info("SmallSender running")






